# H/Lfold.h File Reference

Predicting local MFE structures of large sequences. More...

Go to the source code of this file.

## Functions
float | Lfold (const char *string, char *structure, int maxdist)
| The local analog to fold().
float | aliLfold (const char **strings, char *structure, int maxdist)
float | Lfoldz (const char *string, char *structure, int maxdist, int zsc, double min_z)

## Detailed Description

Predicting local MFE structures of large sequences.

## Function Documentation

float Lfold | ( | const char * | string,
|  | char * | structure,
|  | int | maxdist |
| ) |  |  |

The local analog to fold().

Computes the minimum free energy structure including only base pairs with a span smaller than 'maxdist'

Parameters:

    | string | Parameters:
      | structure | Parameters:
      | maxdist |

float aliLfold | ( | const char ** | strings,
|  | char * | structure,
|  | int | maxdist |
| ) |  |  |

Parameters:

    | strings | Parameters:
      | structure | Parameters:
      | maxdist | Returns:

float Lfoldz | ( | const char * | string,
|  | char * | structure,
|  | int | maxdist,
|  | int | zsc,
|  | double | min_z |
| ) |  |  |

Parameters:

    | string | Parameters:
      | structure | Parameters:
        | maxdist | Parameters:
          | zsc | Parameters:
          | min_z |